Skip to navigation

Delete an SSH Key Group

View as Markdown

Delete a specific SSH key Group.

SSH Key Group must be owned by current Tenant. All Sites associated must be online to proceed.

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
sshKeyGroupIdstringRequired
ID of the SSH Key Group

Response

Deletion request was accepted
messagestring

Human-readable outcome of the request

Errors

403
Forbidden Error